Subject: Roguelike in the /4a

From: Owen Brand <[email-masked]>
Date: Fri, 30 Apr 2010 01:01:47 -0400

For those of you who do not know what a "Roguelike" game is, it's a  
basic maze-type game that employs mostly ASCII characters and is built  
mainly around the story and scoring rather than graphics...  
Essentially it is designed to take all focus OFF the graphics... These  
games are great for BBSes and are perfect for our little computer.   
Anyway, I've decided to write one alongside my Beryl Reichardt game to  
accompany it.  I hope one day to have it playable on a BBS, maybe the  
Reef?  :) Anyway, it will be written in a BASIC language--- haven't  
decided whether to do it in console BASIC using Wilhelms BASIC  
compiler to make it lightning fast, or to go the XB route.... Probably  
console BASIC... Anyway, wanted to share this mockup I did in XB.  Enjoy

Owen Brand
Opry99er.com

---

From: "Charlie" <[email-masked]>
Date: Fri, 30 Apr 2010 13:33:23 -0000

A Rogue game on the TI would be fantastic. I've been playing Rogue on my Tandy Coco since the 80s. There is even a Rogue like game on the xbox 360, indie games. Good luck with the project and let me know if you need a tester. :)

Charlie

---

From: Owen Brand <[email-masked]>
Date: Fri, 30 Apr 2010 09:43:44 -0400

Thanks Charlie!  Hope that picture I attached got through on the  
list.  Anyway, I would love to say I'm anywhere near testing stage,  
but I'm still working out how it will all flow.  Scrolling is not  
really an option in XB, but I'm not 100% set on XB... I might make  
this my first real Forth project.  :)

Owen Brand
Opry99er.com

On Apr 30, 2010, at 9:33 AM, "Charlie" <[email-masked]> wrote:

> A Rogue game on the TI would be fantastic. I've been playing Rogue  
> on my Tandy Coco since the 80s. There is even a Rogue like game on  
> the xbox 360, indie games. Good luck with the project and let me  
> know if you need a tester. :)
>
> Charlie
>
>

---

From: Keith Bergman <[email-masked]>
Date: Fri, 30 Apr 2010 09:46:02 -0400

I like this idea of doing the roguelike in the context of the game universe
you're already creating.  Pretty lofty to think we'll have our own
proprietary 'universe' of gameplay on our once-neglected little platform!

I definitely wanna dig into these roguelikes some more, when I have more
time.  It looks to be right up my alley.

You know what'd be cool as hell?  To come up with some sort of standard
engine, maybe even a TI roguelike editor... and then have multiple people
create interconnected dungeons to crawl!  Your character could get to a door
in Castle Owen, save game, then pick right up in Keith-ylvania and keep
playing, in someone else's map!

That could be neat as hell - everyone builds a world, with pre-determined
connecting points to sync up with everyone else's.

On Fri, Apr 30, 2010 at 9:33 AM, Charlie <[email-masked]> wrote:

>
>
> A Rogue game on the TI would be fantastic. I've been playing Rogue on my
> Tandy Coco since the 80s. There is even a Rogue like game on the xbox 360,
> indie games. Good luck with the project and let me know if you need a
> tester. :)
>
> Charlie
>
>
> --- In [email-masked] <TI994A%40yahoogroups.com>, Owen Brand
> <owenbrand@...> wrote:
> >

---

From: Owen Brand <[email-masked]>
Date: Fri, 30 Apr 2010 09:47:34 -0400

Hell yea man!!! That's a brilliant idea!!  I'm in!

Owen Brand
Opry99er.com

On Apr 30, 2010, at 9:46 AM, Keith Bergman <[email-masked]>  
wrote:

> I like this idea of doing the roguelike in the context of the game  
> universe you're already creating.  Pretty lofty to think we'll have  
> our own proprietary 'universe' of gameplay on our once-neglected  
> little platform!
>
> I definitely wanna dig into these roguelikes some more, when I have  
> more time.  It looks to be right up my alley.
>
> You know what'd be cool as hell?  To come up with some sort of  
> standard engine, maybe even a TI roguelike editor... and then have  
> multiple people create interconnected dungeons to crawl!  Your  
> character could get to a door in Castle Owen, save game, then pick  
> right up in Keith-ylvania and keep playing, in someone else's map!
>
> That could be neat as hell - everyone builds a world, with pre- 
> determined connecting points to sync up with everyone else's.
>
>
>
>

---

From: fdos <[email-masked]>
Date: Fri, 30 Apr 2010 07:52:03 -0700

Maybe a good fit for TI BASIC+?

Bill S

Owen Brand wrote:
>  
> [Attachment(s) <#TopText> from Owen Brand included below]
>

---

From: Owen Brand <[email-masked]>
Date: Fri, 30 Apr 2010 11:26:24 -0400

I don't know much about BASIC+... any docs?

Owen Brand
Opry99er.com

On Apr 30, 2010, at 10:52 AM, fdos <[email-masked]> wrote:

> ------------------------------------
>
> Yahoo! Groups Links
>
>
>

---

From: fdos <[email-masked]>
Date: Fri, 30 Apr 2010 08:49:08 -0700

Go Forth young man, go Forth!

Bill S

Owen Brand wrote:
>  
> 
> Thanks Charlie!  Hope that picture I attached got through on the list. 
>  Anyway, I would love to say I'm anywhere near testing stage, but I'm 
> still working out how it will all flow.  Scrolling is not really an 
> option in XB, but I'm not 100% set on XB... I might make this my first 
> real Forth project.  :)
> 
> Owen Brand
> Opry99er.com <http://Opry99er.com>
> 
> On Apr 30, 2010, at 9:33 AM, "Charlie" <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>>  
>>
>> A Rogue game on the TI would be fantastic. I've been playing Rogue on 
>> my Tandy Coco since the 80s. There is even a Rogue like game on the 
>> xbox 360, indie games. Good luck with the project and let me know if 
>> you need a tester. :)
>>
>> Charlie
>>
>>
>> --- In [email-masked] <mailto:TI994A%40yahoogroups.com>, Owen 
>> Brand <owenbrand@...> wrote:
>> >
>> > <http://Opry99er.com>Opry99er.com <http://Opry99er.com>
>> >
>>
>

---

From: fdos <[email-masked]>
Date: Fri, 30 Apr 2010 08:59:03 -0700

Owen,

Documentation is far from complete, but it does include a lot of XB like 
features, and SPRITES (thanks to Mark Wills).  If you check out TGWTK 
disk image and run the demos you will get the idea of capability.

However, if you're considering a roquelike editor then Forth is the way 
to go for sure. :-)  Go Forth!

Bill S

Owen Brand wrote:
> On Apr 30, 2010, at 10:52 AM, fdos <[email-masked] 
> <mailto:fdosbrs%40frontiernet.net>> wrote:
>

---

From: Insane Multitasker <[email-masked]>
Date: Fri, 30 Apr 2010 14:34:16 -0500

If you decide you wish to write it for use with Richard's BBS, I can provide

a sample game and the documentation needed to interface with the BBS,

including the game doorway. 

All of the S&T BBS games are written in XB but utilize the same assembly

code for screen, DSR, key, etc. functions. 

You can even poke around the last game I wrote -- "Murder Motel" -- a faithful

re-creation of the IBM BBS game with the same name. 

> To: [email-masked]; [email-masked]
> From: [email-masked]
> Date: Fri, 30 Apr 2010 01:01:47 -0400
> Subject: [TI-99/4A] Roguelike in the /4a [1 Attachment]
> 
> Reef? :)  		 	   		  
_________________________________________________________________
The New Busy is not the too busy. Combine all your e-mail accounts with Hotmail.
http://www.windowslive.com/campaign/thenewbusy?tile=multiaccount&ocid=PID28326::T:WLMTAGL:ON:WL:en-US:WM_HMP:042010_4

---

From: Owen Brand <[email-masked]>
Date: Fri, 30 Apr 2010 15:39:53 -0400

Ha!!! Awesome sauce man!  Yea, anything you could help me out on would  
be amazing!! I'm really looking forward to this project.  Kind of a  
dream of mine to have my game running on a BBS... Unfortunately the  
only two that could support the format I can think of are thekeep.net  
and The Reef.  But those are some pretty awesome sites.  Thanks for  
the advice and help, and I'd love to play your game.... TI Simon was  
wicked awesome, and the pre-story you wrote for the SSGC was amazing.   
Great stuff!

Owen Brand
Opry99er.com

On Apr 30, 2010, at 3:34 PM, Insane Multitasker <[email-masked]>  
wrote:

> The New Busy is not the too busy. Combine all your e-mail accounts  
> with Hotmail. Get busy.
>